<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background"
    android:orientation="vertical">

    <include layout="@layout/reuse_toolbar" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/list_refresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:gravity="end|center_vertical"
                    android:paddingRight="20dp">

                    <TextView
                        android:layout_width="35dp"
                        android:layout_height="18dp"
                        android:layout_marginRight="20dp"
                        android:background="@color/theme"
                        android:gravity="center"
                        android:text="新增"
                        android:textColor="@color/white"
                        android:textSize="11sp" />

                    <TextView
                        android:id="@+id/delete"
                        android:layout_width="35dp"
                        android:layout_height="18dp"
                        android:gravity="center"
                        android:text="删除"
                        android:textColor="@color/hint"
                        android:textSize="11sp"
                        android:textStyle="" />
                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/list_rv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </LinearLayout>
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        <include
            layout="@layout/reuse_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />

        <include layout="@layout/reuse_no_connection" />

        <include layout="@layout/reuse_none_data" />

        <include layout="@layout/reuse_data_exception" />

    </RelativeLayout>
</LinearLayout>
